/******************************************************************************/
/******************************************************************************/

;(function($,doc,win) 
{
	"use strict";
	
	var PBRecentPost=function(object,option)
	{
		/**********************************************************************/
		
		var $this=$(object);
		var $option=option;

		/**********************************************************************/

		this.build=function() 
		{
			var self=this;
			var helper=new PBHelper();
			var loadClass=helper.addLoadClass();
			
			$this.preloaderImage(
			{
				onReady						:	function() 
				{
					$this.find('.pb-recent-post-image').hoverImage();
					self.animate();
					
					helper.removeLoadClass(loadClass);
				}
			});
		};
		
		/**********************************************************************/
		
		this.animate=function()
		{
			var helper=new PBHelper();
			
			switch($option.animation_type)
			{
				case 'slide':
			
					$this.children('ul').children('li').children('div').waypoint(function()
					{
						if(!helper.isAnimationComplete($(this)))
						{
							$(this).css({opacity:1}).effect('slide',{},parseInt($option.animation_duration));
							helper.setAnimationAsComplete($(this));
						}
					},
					{
						offset	:	'90%'
					})
					.waypoint(function()
					{
						if(!helper.isAnimationComplete($(this)))
							$(this).css({opacity:0});
					},
					{
						offset	:	'120%'
					});
					
				break;
			}	
		};
		
		/**********************************************************************/
	}
	
	/**************************************************************************/
	
	$.fn.PBRecentPost=function(option) 
	{
		var object=new PBRecentPost(this,option);
		object.build();
	};
	
	/**************************************************************************/

})(jQuery,document,window);

/******************************************************************************/
/******************************************************************************/